C
C
C
      PROGRAM      ANNIE
C
C     ANNIE is an interactive program designed to assist the user with
C     the various tasks involved in hydrologic modeling. ANNIE can
C     reformat, store, update, transform, plot, and analyze time-series
C     data.
C     ******** revised 4/91 to use AIDE interaction ****
C
C     + + + PARAMETERS + + +
      INCLUDE 'pmesfl.inc'
C
C     + + + LOCAL VARIABLES + + +
      INTEGER      I1,SGRP,SCLU,RESP,IND,IGR,WDMSFL,STRLEN,WDMFG,ILEN,
     $             RETC
      CHARACTER*8  PTHNAM, APPNAM
      CHARACTER*10 RSPSTR
      CHARACTER*22 WNDNAM
      CHARACTER*64 FNAME, VERSN
C
C     + + + EQUIVALENCES + + +
      EQUIVALENCE (RSPST1,RSPSTR)
      CHARACTER*1  RSPST1(10)
C
C     + + + FUNCTIONS + + +
      INTEGER      LENSTR
C
C     + + + EXTERNALS + + +
      EXTERNAL     LENSTR, PRNTXT, PRWFIL, PRWDST, ANCLOS
      EXTERNAL     QRESPS, ANINIZ, ANPRGT, ZWNSET
      EXTERNAL     WDPLOT, PRWARC, ZANSET, WDFLCL
C
C     + + + OUTPUT FORMATS + + +
 2000 FORMAT (//, ' *** ERROR',
     $         /, ' *** ERROR',
     $         /, ' *** ERROR  Problem closing wdm data file',
     $         /, ' *** ERROR          Return code =', I6,
     $         /, ' *** ERROR',
     $         /, ' *** ERROR' )
C
C     + + + END SPECIFICATIONS + + +
C
      I1 = 1
C
C     initialize user environment
C     version info for unix what
C     names of application, log file, and message file
      INCLUDE 'fanmes.inc'
C
C     open message file and log file
      CALL ANINIZ (MESSFL,FNAME,APPNAM)
C
C     set application name
      CALL ZANSET (WNDNAM)
C
C     message file screen cluster used in this routine
      SCLU  = 21
      WDMSFL= 0
      STRLEN= 8
C
C     check if graphics available (value of 1 returned if yes)
      IND= 16
      CALL ANPRGT (IND,
     O             IGR)
C
 10   CONTINUE
C       do opening screen
 20     CONTINUE
C         loop back here if user tries to do things w/o opening WDM file
          WDMFG= 0
          SGRP = 1
          CALL QRESPS (MESSFL,SCLU,SGRP,STRLEN,I1,
     M                 RSPST1,RESP)
          IF (RESP.GE.2 .AND. RESP.LE.4 .AND. WDMSFL.EQ.0) THEN
C           cant do this option without first opening a WDM file
            WNDNAM= ' '
            ILEN  = LENSTR(STRLEN,RSPST1)
            WNDNAM= RSPSTR(1:ILEN)//' ('//RSPST1(1)//') Problem'
            CALL ZWNSET (WNDNAM)
            SGRP= 3
            CALL PRNTXT (MESSFL,SCLU,SGRP)
            WDMFG= 1
          END IF
        IF (WDMFG.EQ.1) GO TO 20
C
        GO TO (100,200,300,400,500,600),RESP
C
 100    CONTINUE
C         file management
          PTHNAM= ' '
          CALL PRWFIL (MESSFL,PTHNAM,
     M                 WDMSFL)
          GO TO 900
C
 200    CONTINUE
C         work with WDM file data sets
          CALL PRWDST (MESSFL,WDMSFL)
          GO TO 900
C
 300    CONTINUE
C         plot
          IF (IGR.EQ.1) THEN
C           graphics available, ok to to plots
            CALL WDPLOT (MESSFL,WDMSFL)
          ELSE
C           can't do plots
            SGRP= 4
            CALL PRNTXT (MESSFL,SCLU,SGRP)
          END IF
          GO TO 900
C
 400    CONTINUE
C         archive (import/export)
          CALL PRWARC (MESSFL,WDMSFL)
          GO TO 900
C
 500    CONTINUE
C         query, display info. on technical support
          SGRP = 5
          CALL PRNTXT (MESSFL,SCLU,SGRP)
          GO TO 900
C
 600    CONTINUE
C         done, do nothing
          GO TO 900
C
 900    CONTINUE
C
      IF (RESP .NE. 6) GO TO 10
C
C     close message, scratch and log files
      CALL ANCLOS (MESSFL)
C
C     close the wdm file
      IF (WDMSFL .GT. 0) THEN
C       close wdm file
        CALL WDFLCL ( WDMSFL, RETC )
        IF (RETC .NE. 0) THEN
C         problem closing wdm file
          WRITE(99,2000) RETC
          WRITE (*,2000) RETC
        END IF
      END IF
C
      STOP
      END
