#!/bin/sh
# clean.sh - clean up files after test runs
## Usage:  clean.sh
#
# History:  95/12/08 kmflynn
#           00/04/04 kmflynn

# standard test files
  Numb='0 1 2 3 4 5 6 7 8'
  Sufx='out ot1 ot2 exp err ps cgm hpgl'

# miscellaneous files generated automatically
  Misc='ANNIE.LOG ERROR.FIL XPAD.DAT'
  Data='cane.exp il.exp test4.imp'
  Othr='test.wdm check.log test.out graph.out'

# remove miscellaneous files
  for File in $Misc $Data $Othr ; do
     if [ -f $File ] ; then rm $File ; fi
  done

# remove files specific to the tests
  for No in $Numb ; do
     for Sfx in $Sufx ; do
        if [ -f test$No.$Sfx ]   ; then rm test$No.$Sfx   ; fi
        if [ -f graph$No.$Sfx ]  ; then rm graph$No.$Sfx  ; fi
        if [ -f graphx$No.$Sfx ] ; then rm graphx$No.$Sfx ; fi
     done
  done

# end of shell
